Ruby: ext/openssl/ossl_pkcs7.h File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Macros | Functions | Variables
ossl_pkcs7.h File Reference

Go to the source code of this file.

## Macros
#define | NewPKCS7(klass) TypedData_Wrap_Struct((klass), &ossl_pkcs7_type, 0)
#define | SetPKCS7(obj, pkcs7)
#define | GetPKCS7(obj, pkcs7)

## Functions
void | Init_ossl_pkcs7 (void)

## Variables
const rb_data_type_t | ossl_pkcs7_type
VALUE | cPKCS7
VALUE | cPKCS7Signer
VALUE | cPKCS7Recipient
VALUE | ePKCS7Error

## Macro Definition Documentation

## ◆ GetPKCS7

#define GetPKCS7 | ( |  | obj,
|  |  | pkcs7
| ) |  |

Value:
do { \
TypedData_Get_Struct((obj), PKCS7, &ossl_pkcs7_type, (pkcs7)); \
if (!(pkcs7)) { \
ossl_raise(rb_eRuntimeError, "PKCS7 wasn't initialized."); \
} \
} while (0)
rb_eRuntimeError
VALUE rb_eRuntimeError
Definition: error.c:1055
ossl_pkcs7_type
const rb_data_type_t ossl_pkcs7_type
Definition: ossl_pkcs7.c:63

Definition at line 21 of file ossl_pkcs7.h.

## ◆ NewPKCS7

#define NewPKCS7 | ( |  | klass | ) | TypedData_Wrap_Struct((klass), &ossl_pkcs7_type, 0)

Definition at line 13 of file ossl_pkcs7.h.

## ◆ SetPKCS7

#define SetPKCS7 | ( |  | obj,
|  |  | pkcs7
| ) |  |

Value:
do { \
if (!(pkcs7)) { \
ossl_raise(rb_eRuntimeError, "PKCS7 wasn't initialized."); \
} \
RTYPEDDATA_DATA(obj) = (pkcs7); \
} while (0)

Definition at line 15 of file ossl_pkcs7.h.

## Function Documentation

## ◆ Init_ossl_pkcs7()

void Init_ossl_pkcs7 | ( | void |  | ) |

Definition at line 1028 of file ossl_pkcs7.c.

References BINARY, cPKCS7, cPKCS7Recipient, cPKCS7Signer, DefPKCS7Const, eOSSLError, ePKCS7Error, mOSSL, Qfalse, rb_attr(), rb_cObject, rb_define_alias(), rb_define_alloc_func(), rb_define_class_under(), rb_define_const(), rb_define_method, rb_define_module(), rb_define_singleton_method, rb_eStandardError, and rb_intern().

Referenced by Init_openssl().

## Variable Documentation

## ◆ cPKCS7

VALUE cPKCS7
| extern

Definition at line 52 of file ossl_pkcs7.c.

Referenced by Init_ossl_pkcs7().

## ◆ cPKCS7Recipient

VALUE cPKCS7Recipient
| extern

Definition at line 54 of file ossl_pkcs7.c.

Referenced by Init_ossl_pkcs7().

## ◆ cPKCS7Signer

VALUE cPKCS7Signer
| extern

Definition at line 53 of file ossl_pkcs7.c.

Referenced by Init_ossl_pkcs7().

## ◆ ePKCS7Error

VALUE ePKCS7Error
| extern

Definition at line 55 of file ossl_pkcs7.c.

Referenced by Init_ossl_pkcs7().

## ◆ ossl_pkcs7_type

const rb_data_type_t ossl_pkcs7_type
| extern

Definition at line 63 of file ossl_pkcs7.c.